/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/* expr.h: definitions for expression evaluator */

#ifndef EXPR_HDR
#define EXPR_HDR

/* $Header: expr.h,v 4.0 89/12/13 22:02:23 ph Locked $ */

/* error codes */
#define EXPR_GOOD	0	/* expression totally good */
#define EXPR_SOSO	-1	/* expression partially good */
#define EXPR_BAD	-2	/* expression totally bad */

extern int expr_error;		/* holds error code after expr_eval */

#ifdef __cplusplus
    extern "C" {
	int expr_eval_int(char *str);
	long expr_eval_long(char *str);
	double expr_eval(char *str);
    }
#else
    int expr_eval_int();
    long expr_eval_long();
    double expr_eval();
#endif

#endif
